IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/80
Addresses2^48
/64 networksPart of one
- Network
2001:db8:0:0:62::/80- First address
2001:db8:0:0:62::- Last address
2001:db8::62:ffff:ffff:ffff- Addresses
- 281,474,976,710,656 (2^48)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:0062:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
2.6.0.0.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:0:62::/80 makes 256 subnets of /88.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:0:62::/88 | 2001:db8::62:ff:ffff:ffff |
| 2 | 2001:db8::62:100:0:0/88 | 2001:db8::62:1ff:ffff:ffff |
| 3 | 2001:db8::62:200:0:0/88 | 2001:db8::62:2ff:ffff:ffff |
| 4 | 2001:db8::62:300:0:0/88 | 2001:db8::62:3ff:ffff:ffff |
| 5 | 2001:db8::62:400:0:0/88 | 2001:db8::62:4ff:ffff:ffff |
| 6 | 2001:db8::62:500:0:0/88 | 2001:db8::62:5ff:ffff:ffff |
| 7 | 2001:db8::62:600:0:0/88 | 2001:db8::62:6ff:ffff:ffff |
| 8 | 2001:db8::62:700:0:0/88 | 2001:db8::62:7ff:ffff:ffff |
| 9 | 2001:db8::62:800:0:0/88 | 2001:db8::62:8ff:ffff:ffff |
| 10 | 2001:db8::62:900:0:0/88 | 2001:db8::62:9ff:ffff:ffff |
| 11 | 2001:db8::62:a00:0:0/88 | 2001:db8::62:aff:ffff:ffff |
| 12 | 2001:db8::62:b00:0:0/88 | 2001:db8::62:bff:ffff:ffff |
| 13 | 2001:db8::62:c00:0:0/88 | 2001:db8::62:cff:ffff:ffff |
| 14 | 2001:db8::62:d00:0:0/88 | 2001:db8::62:dff:ffff:ffff |
| 15 | 2001:db8::62:e00:0:0/88 | 2001:db8::62:eff:ffff:ffff |
| 16 | 2001:db8::62:f00:0:0/88 | 2001:db8::62:fff:ffff:ffff |
| 17 | 2001:db8::62:1000:0:0/88 | 2001:db8::62:10ff:ffff:ffff |
| 18 | 2001:db8::62:1100:0:0/88 | 2001:db8::62:11ff:ffff:ffff |
| 19 | 2001:db8::62:1200:0:0/88 | 2001:db8::62:12ff:ffff:ffff |
| 20 | 2001:db8::62:1300:0:0/88 | 2001:db8::62:13ff:ffff:ffff |
| 21 | 2001:db8::62:1400:0:0/88 | 2001:db8::62:14ff:ffff:ffff |
| 22 | 2001:db8::62:1500:0:0/88 | 2001:db8::62:15ff:ffff:ffff |
| 23 | 2001:db8::62:1600:0:0/88 | 2001:db8::62:16ff:ffff:ffff |
| 24 | 2001:db8::62:1700:0:0/88 | 2001:db8::62:17ff:ffff:ffff |
| 25 | 2001:db8::62:1800:0:0/88 | 2001:db8::62:18ff:ffff:ffff |
| 26 | 2001:db8::62:1900:0:0/88 | 2001:db8::62:19ff:ffff:ffff |
| 27 | 2001:db8::62:1a00:0:0/88 | 2001:db8::62:1aff:ffff:ffff |
| 28 | 2001:db8::62:1b00:0:0/88 | 2001:db8::62:1bff:ffff:ffff |
| 29 | 2001:db8::62:1c00:0:0/88 | 2001:db8::62:1cff:ffff:ffff |
| 30 | 2001:db8::62:1d00:0:0/88 | 2001:db8::62:1dff:ffff:ffff |
| 31 | 2001:db8::62:1e00:0:0/88 | 2001:db8::62:1eff:ffff:ffff |
| 32 | 2001:db8::62:1f00:0:0/88 | 2001:db8::62:1fff:ffff:ffff |
| 33 | 2001:db8::62:2000:0:0/88 | 2001:db8::62:20ff:ffff:ffff |
| 34 | 2001:db8::62:2100:0:0/88 | 2001:db8::62:21ff:ffff:ffff |
| 35 | 2001:db8::62:2200:0:0/88 | 2001:db8::62:22ff:ffff:ffff |
| 36 | 2001:db8::62:2300:0:0/88 | 2001:db8::62:23ff:ffff:ffff |
| 37 | 2001:db8::62:2400:0:0/88 | 2001:db8::62:24ff:ffff:ffff |
| 38 | 2001:db8::62:2500:0:0/88 | 2001:db8::62:25ff:ffff:ffff |
| 39 | 2001:db8::62:2600:0:0/88 | 2001:db8::62:26ff:ffff:ffff |
| 40 | 2001:db8::62:2700:0:0/88 | 2001:db8::62:27ff:ffff:ffff |
| 41 | 2001:db8::62:2800:0:0/88 | 2001:db8::62:28ff:ffff:ffff |
| 42 | 2001:db8::62:2900:0:0/88 | 2001:db8::62:29ff:ffff:ffff |
| 43 | 2001:db8::62:2a00:0:0/88 | 2001:db8::62:2aff:ffff:ffff |
| 44 | 2001:db8::62:2b00:0:0/88 | 2001:db8::62:2bff:ffff:ffff |
| 45 | 2001:db8::62:2c00:0:0/88 | 2001:db8::62:2cff:ffff:ffff |
| 46 | 2001:db8::62:2d00:0:0/88 | 2001:db8::62:2dff:ffff:ffff |
| 47 | 2001:db8::62:2e00:0:0/88 | 2001:db8::62:2eff:ffff:ffff |
| 48 | 2001:db8::62:2f00:0:0/88 | 2001:db8::62:2fff:ffff:ffff |
| 49 | 2001:db8::62:3000:0:0/88 | 2001:db8::62:30ff:ffff:ffff |
| 50 | 2001:db8::62:3100:0:0/88 | 2001:db8::62:31ff:ffff:ffff |
| 51 | 2001:db8::62:3200:0:0/88 | 2001:db8::62:32ff:ffff:ffff |
| 52 | 2001:db8::62:3300:0:0/88 | 2001:db8::62:33ff:ffff:ffff |
| 53 | 2001:db8::62:3400:0:0/88 | 2001:db8::62:34ff:ffff:ffff |
| 54 | 2001:db8::62:3500:0:0/88 | 2001:db8::62:35ff:ffff:ffff |
| 55 | 2001:db8::62:3600:0:0/88 | 2001:db8::62:36ff:ffff:ffff |
| 56 | 2001:db8::62:3700:0:0/88 | 2001:db8::62:37ff:ffff:ffff |
| 57 | 2001:db8::62:3800:0:0/88 | 2001:db8::62:38ff:ffff:ffff |
| 58 | 2001:db8::62:3900:0:0/88 | 2001:db8::62:39ff:ffff:ffff |
| 59 | 2001:db8::62:3a00:0:0/88 | 2001:db8::62:3aff:ffff:ffff |
| 60 | 2001:db8::62:3b00:0:0/88 | 2001:db8::62:3bff:ffff:ffff |
| 61 | 2001:db8::62:3c00:0:0/88 | 2001:db8::62:3cff:ffff:ffff |
| 62 | 2001:db8::62:3d00:0:0/88 | 2001:db8::62:3dff:ffff:ffff |
| 63 | 2001:db8::62:3e00:0:0/88 | 2001:db8::62:3eff:ffff:ffff |
| 64 | 2001:db8::62:3f00:0:0/88 | 2001:db8::62:3fff:ffff:ffff |
| 65 | 2001:db8::62:4000:0:0/88 | 2001:db8::62:40ff:ffff:ffff |
| 66 | 2001:db8::62:4100:0:0/88 | 2001:db8::62:41ff:ffff:ffff |
| 67 | 2001:db8::62:4200:0:0/88 | 2001:db8::62:42ff:ffff:ffff |
| 68 | 2001:db8::62:4300:0:0/88 | 2001:db8::62:43ff:ffff:ffff |
| 69 | 2001:db8::62:4400:0:0/88 | 2001:db8::62:44ff:ffff:ffff |
| 70 | 2001:db8::62:4500:0:0/88 | 2001:db8::62:45ff:ffff:ffff |
| 71 | 2001:db8::62:4600:0:0/88 | 2001:db8::62:46ff:ffff:ffff |
| 72 | 2001:db8::62:4700:0:0/88 | 2001:db8::62:47ff:ffff:ffff |
| 73 | 2001:db8::62:4800:0:0/88 | 2001:db8::62:48ff:ffff:ffff |
| 74 | 2001:db8::62:4900:0:0/88 | 2001:db8::62:49ff:ffff:ffff |
| 75 | 2001:db8::62:4a00:0:0/88 | 2001:db8::62:4aff:ffff:ffff |
| 76 | 2001:db8::62:4b00:0:0/88 | 2001:db8::62:4bff:ffff:ffff |
| 77 | 2001:db8::62:4c00:0:0/88 | 2001:db8::62:4cff:ffff:ffff |
| 78 | 2001:db8::62:4d00:0:0/88 | 2001:db8::62:4dff:ffff:ffff |
| 79 | 2001:db8::62:4e00:0:0/88 | 2001:db8::62:4eff:ffff:ffff |
| 80 | 2001:db8::62:4f00:0:0/88 | 2001:db8::62:4fff:ffff:ffff |
| 81 | 2001:db8::62:5000:0:0/88 | 2001:db8::62:50ff:ffff:ffff |
| 82 | 2001:db8::62:5100:0:0/88 | 2001:db8::62:51ff:ffff:ffff |
| 83 | 2001:db8::62:5200:0:0/88 | 2001:db8::62:52ff:ffff:ffff |
| 84 | 2001:db8::62:5300:0:0/88 | 2001:db8::62:53ff:ffff:ffff |
| 85 | 2001:db8::62:5400:0:0/88 | 2001:db8::62:54ff:ffff:ffff |
| 86 | 2001:db8::62:5500:0:0/88 | 2001:db8::62:55ff:ffff:ffff |
| 87 | 2001:db8::62:5600:0:0/88 | 2001:db8::62:56ff:ffff:ffff |
| 88 | 2001:db8::62:5700:0:0/88 | 2001:db8::62:57ff:ffff:ffff |
| 89 | 2001:db8::62:5800:0:0/88 | 2001:db8::62:58ff:ffff:ffff |
| 90 | 2001:db8::62:5900:0:0/88 | 2001:db8::62:59ff:ffff:ffff |
| 91 | 2001:db8::62:5a00:0:0/88 | 2001:db8::62:5aff:ffff:ffff |
| 92 | 2001:db8::62:5b00:0:0/88 | 2001:db8::62:5bff:ffff:ffff |
| 93 | 2001:db8::62:5c00:0:0/88 | 2001:db8::62:5cff:ffff:ffff |
| 94 | 2001:db8::62:5d00:0:0/88 | 2001:db8::62:5dff:ffff:ffff |
| 95 | 2001:db8::62:5e00:0:0/88 | 2001:db8::62:5eff:ffff:ffff |
| 96 | 2001:db8::62:5f00:0:0/88 | 2001:db8::62:5fff:ffff:ffff |
| 97 | 2001:db8::62:6000:0:0/88 | 2001:db8::62:60ff:ffff:ffff |
| 98 | 2001:db8::62:6100:0:0/88 | 2001:db8::62:61ff:ffff:ffff |
| 99 | 2001:db8::62:6200:0:0/88 | 2001:db8::62:62ff:ffff:ffff |
| 100 | 2001:db8::62:6300:0:0/88 | 2001:db8::62:63ff:ffff:ffff |
| 101 | 2001:db8::62:6400:0:0/88 | 2001:db8::62:64ff:ffff:ffff |
| 102 | 2001:db8::62:6500:0:0/88 | 2001:db8::62:65ff:ffff:ffff |
| 103 | 2001:db8::62:6600:0:0/88 | 2001:db8::62:66ff:ffff:ffff |
| 104 | 2001:db8::62:6700:0:0/88 | 2001:db8::62:67ff:ffff:ffff |
| 105 | 2001:db8::62:6800:0:0/88 | 2001:db8::62:68ff:ffff:ffff |
| 106 | 2001:db8::62:6900:0:0/88 | 2001:db8::62:69ff:ffff:ffff |
| 107 | 2001:db8::62:6a00:0:0/88 | 2001:db8::62:6aff:ffff:ffff |
| 108 | 2001:db8::62:6b00:0:0/88 | 2001:db8::62:6bff:ffff:ffff |
| 109 | 2001:db8::62:6c00:0:0/88 | 2001:db8::62:6cff:ffff:ffff |
| 110 | 2001:db8::62:6d00:0:0/88 | 2001:db8::62:6dff:ffff:ffff |
| 111 | 2001:db8::62:6e00:0:0/88 | 2001:db8::62:6eff:ffff:ffff |
| 112 | 2001:db8::62:6f00:0:0/88 | 2001:db8::62:6fff:ffff:ffff |
| 113 | 2001:db8::62:7000:0:0/88 | 2001:db8::62:70ff:ffff:ffff |
| 114 | 2001:db8::62:7100:0:0/88 | 2001:db8::62:71ff:ffff:ffff |
| 115 | 2001:db8::62:7200:0:0/88 | 2001:db8::62:72ff:ffff:ffff |
| 116 | 2001:db8::62:7300:0:0/88 | 2001:db8::62:73ff:ffff:ffff |
| 117 | 2001:db8::62:7400:0:0/88 | 2001:db8::62:74ff:ffff:ffff |
| 118 | 2001:db8::62:7500:0:0/88 | 2001:db8::62:75ff:ffff:ffff |
| 119 | 2001:db8::62:7600:0:0/88 | 2001:db8::62:76ff:ffff:ffff |
| 120 | 2001:db8::62:7700:0:0/88 | 2001:db8::62:77ff:ffff:ffff |
| 121 | 2001:db8::62:7800:0:0/88 | 2001:db8::62:78ff:ffff:ffff |
| 122 | 2001:db8::62:7900:0:0/88 | 2001:db8::62:79ff:ffff:ffff |
| 123 | 2001:db8::62:7a00:0:0/88 | 2001:db8::62:7aff:ffff:ffff |
| 124 | 2001:db8::62:7b00:0:0/88 | 2001:db8::62:7bff:ffff:ffff |
| 125 | 2001:db8::62:7c00:0:0/88 | 2001:db8::62:7cff:ffff:ffff |
| 126 | 2001:db8::62:7d00:0:0/88 | 2001:db8::62:7dff:ffff:ffff |
| 127 | 2001:db8::62:7e00:0:0/88 | 2001:db8::62:7eff:ffff:ffff |
| 128 | 2001:db8::62:7f00:0:0/88 | 2001:db8::62:7fff:ffff:ffff |
| 129 | 2001:db8::62:8000:0:0/88 | 2001:db8::62:80ff:ffff:ffff |
| 130 | 2001:db8::62:8100:0:0/88 | 2001:db8::62:81ff:ffff:ffff |
| 131 | 2001:db8::62:8200:0:0/88 | 2001:db8::62:82ff:ffff:ffff |
| 132 | 2001:db8::62:8300:0:0/88 | 2001:db8::62:83ff:ffff:ffff |
| 133 | 2001:db8::62:8400:0:0/88 | 2001:db8::62:84ff:ffff:ffff |
| 134 | 2001:db8::62:8500:0:0/88 | 2001:db8::62:85ff:ffff:ffff |
| 135 | 2001:db8::62:8600:0:0/88 | 2001:db8::62:86ff:ffff:ffff |
| 136 | 2001:db8::62:8700:0:0/88 | 2001:db8::62:87ff:ffff:ffff |
| 137 | 2001:db8::62:8800:0:0/88 | 2001:db8::62:88ff:ffff:ffff |
| 138 | 2001:db8::62:8900:0:0/88 | 2001:db8::62:89ff:ffff:ffff |
| 139 | 2001:db8::62:8a00:0:0/88 | 2001:db8::62:8aff:ffff:ffff |
| 140 | 2001:db8::62:8b00:0:0/88 | 2001:db8::62:8bff:ffff:ffff |
| 141 | 2001:db8::62:8c00:0:0/88 | 2001:db8::62:8cff:ffff:ffff |
| 142 | 2001:db8::62:8d00:0:0/88 | 2001:db8::62:8dff:ffff:ffff |
| 143 | 2001:db8::62:8e00:0:0/88 | 2001:db8::62:8eff:ffff:ffff |
| 144 | 2001:db8::62:8f00:0:0/88 | 2001:db8::62:8fff:ffff:ffff |
| 145 | 2001:db8::62:9000:0:0/88 | 2001:db8::62:90ff:ffff:ffff |
| 146 | 2001:db8::62:9100:0:0/88 | 2001:db8::62:91ff:ffff:ffff |
| 147 | 2001:db8::62:9200:0:0/88 | 2001:db8::62:92ff:ffff:ffff |
| 148 | 2001:db8::62:9300:0:0/88 | 2001:db8::62:93ff:ffff:ffff |
| 149 | 2001:db8::62:9400:0:0/88 | 2001:db8::62:94ff:ffff:ffff |
| 150 | 2001:db8::62:9500:0:0/88 | 2001:db8::62:95ff:ffff:ffff |
| 151 | 2001:db8::62:9600:0:0/88 | 2001:db8::62:96ff:ffff:ffff |
| 152 | 2001:db8::62:9700:0:0/88 | 2001:db8::62:97ff:ffff:ffff |
| 153 | 2001:db8::62:9800:0:0/88 | 2001:db8::62:98ff:ffff:ffff |
| 154 | 2001:db8::62:9900:0:0/88 | 2001:db8::62:99ff:ffff:ffff |
| 155 | 2001:db8::62:9a00:0:0/88 | 2001:db8::62:9aff:ffff:ffff |
| 156 | 2001:db8::62:9b00:0:0/88 | 2001:db8::62:9bff:ffff:ffff |
| 157 | 2001:db8::62:9c00:0:0/88 | 2001:db8::62:9cff:ffff:ffff |
| 158 | 2001:db8::62:9d00:0:0/88 | 2001:db8::62:9dff:ffff:ffff |
| 159 | 2001:db8::62:9e00:0:0/88 | 2001:db8::62:9eff:ffff:ffff |
| 160 | 2001:db8::62:9f00:0:0/88 | 2001:db8::62:9fff:ffff:ffff |
| 161 | 2001:db8::62:a000:0:0/88 | 2001:db8::62:a0ff:ffff:ffff |
| 162 | 2001:db8::62:a100:0:0/88 | 2001:db8::62:a1ff:ffff:ffff |
| 163 | 2001:db8::62:a200:0:0/88 | 2001:db8::62:a2ff:ffff:ffff |
| 164 | 2001:db8::62:a300:0:0/88 | 2001:db8::62:a3ff:ffff:ffff |
| 165 | 2001:db8::62:a400:0:0/88 | 2001:db8::62:a4ff:ffff:ffff |
| 166 | 2001:db8::62:a500:0:0/88 | 2001:db8::62:a5ff:ffff:ffff |
| 167 | 2001:db8::62:a600:0:0/88 | 2001:db8::62:a6ff:ffff:ffff |
| 168 | 2001:db8::62:a700:0:0/88 | 2001:db8::62:a7ff:ffff:ffff |
| 169 | 2001:db8::62:a800:0:0/88 | 2001:db8::62:a8ff:ffff:ffff |
| 170 | 2001:db8::62:a900:0:0/88 | 2001:db8::62:a9ff:ffff:ffff |
| 171 | 2001:db8::62:aa00:0:0/88 | 2001:db8::62:aaff:ffff:ffff |
| 172 | 2001:db8::62:ab00:0:0/88 | 2001:db8::62:abff:ffff:ffff |
| 173 | 2001:db8::62:ac00:0:0/88 | 2001:db8::62:acff:ffff:ffff |
| 174 | 2001:db8::62:ad00:0:0/88 | 2001:db8::62:adff:ffff:ffff |
| 175 | 2001:db8::62:ae00:0:0/88 | 2001:db8::62:aeff:ffff:ffff |
| 176 | 2001:db8::62:af00:0:0/88 | 2001:db8::62:afff:ffff:ffff |
| 177 | 2001:db8::62:b000:0:0/88 | 2001:db8::62:b0ff:ffff:ffff |
| 178 | 2001:db8::62:b100:0:0/88 | 2001:db8::62:b1ff:ffff:ffff |
| 179 | 2001:db8::62:b200:0:0/88 | 2001:db8::62:b2ff:ffff:ffff |
| 180 | 2001:db8::62:b300:0:0/88 | 2001:db8::62:b3ff:ffff:ffff |
| 181 | 2001:db8::62:b400:0:0/88 | 2001:db8::62:b4ff:ffff:ffff |
| 182 | 2001:db8::62:b500:0:0/88 | 2001:db8::62:b5ff:ffff:ffff |
| 183 | 2001:db8::62:b600:0:0/88 | 2001:db8::62:b6ff:ffff:ffff |
| 184 | 2001:db8::62:b700:0:0/88 | 2001:db8::62:b7ff:ffff:ffff |
| 185 | 2001:db8::62:b800:0:0/88 | 2001:db8::62:b8ff:ffff:ffff |
| 186 | 2001:db8::62:b900:0:0/88 | 2001:db8::62:b9ff:ffff:ffff |
| 187 | 2001:db8::62:ba00:0:0/88 | 2001:db8::62:baff:ffff:ffff |
| 188 | 2001:db8::62:bb00:0:0/88 | 2001:db8::62:bbff:ffff:ffff |
| 189 | 2001:db8::62:bc00:0:0/88 | 2001:db8::62:bcff:ffff:ffff |
| 190 | 2001:db8::62:bd00:0:0/88 | 2001:db8::62:bdff:ffff:ffff |
| 191 | 2001:db8::62:be00:0:0/88 | 2001:db8::62:beff:ffff:ffff |
| 192 | 2001:db8::62:bf00:0:0/88 | 2001:db8::62:bfff:ffff:ffff |
| 193 | 2001:db8::62:c000:0:0/88 | 2001:db8::62:c0ff:ffff:ffff |
| 194 | 2001:db8::62:c100:0:0/88 | 2001:db8::62:c1ff:ffff:ffff |
| 195 | 2001:db8::62:c200:0:0/88 | 2001:db8::62:c2ff:ffff:ffff |
| 196 | 2001:db8::62:c300:0:0/88 | 2001:db8::62:c3ff:ffff:ffff |
| 197 | 2001:db8::62:c400:0:0/88 | 2001:db8::62:c4ff:ffff:ffff |
| 198 | 2001:db8::62:c500:0:0/88 | 2001:db8::62:c5ff:ffff:ffff |
| 199 | 2001:db8::62:c600:0:0/88 | 2001:db8::62:c6ff:ffff:ffff |
| 200 | 2001:db8::62:c700:0:0/88 | 2001:db8::62:c7ff:ffff:ffff |
| 201 | 2001:db8::62:c800:0:0/88 | 2001:db8::62:c8ff:ffff:ffff |
| 202 | 2001:db8::62:c900:0:0/88 | 2001:db8::62:c9ff:ffff:ffff |
| 203 | 2001:db8::62:ca00:0:0/88 | 2001:db8::62:caff:ffff:ffff |
| 204 | 2001:db8::62:cb00:0:0/88 | 2001:db8::62:cbff:ffff:ffff |
| 205 | 2001:db8::62:cc00:0:0/88 | 2001:db8::62:ccff:ffff:ffff |
| 206 | 2001:db8::62:cd00:0:0/88 | 2001:db8::62:cdff:ffff:ffff |
| 207 | 2001:db8::62:ce00:0:0/88 | 2001:db8::62:ceff:ffff:ffff |
| 208 | 2001:db8::62:cf00:0:0/88 | 2001:db8::62:cfff:ffff:ffff |
| 209 | 2001:db8::62:d000:0:0/88 | 2001:db8::62:d0ff:ffff:ffff |
| 210 | 2001:db8::62:d100:0:0/88 | 2001:db8::62:d1ff:ffff:ffff |
| 211 | 2001:db8::62:d200:0:0/88 | 2001:db8::62:d2ff:ffff:ffff |
| 212 | 2001:db8::62:d300:0:0/88 | 2001:db8::62:d3ff:ffff:ffff |
| 213 | 2001:db8::62:d400:0:0/88 | 2001:db8::62:d4ff:ffff:ffff |
| 214 | 2001:db8::62:d500:0:0/88 | 2001:db8::62:d5ff:ffff:ffff |
| 215 | 2001:db8::62:d600:0:0/88 | 2001:db8::62:d6ff:ffff:ffff |
| 216 | 2001:db8::62:d700:0:0/88 | 2001:db8::62:d7ff:ffff:ffff |
| 217 | 2001:db8::62:d800:0:0/88 | 2001:db8::62:d8ff:ffff:ffff |
| 218 | 2001:db8::62:d900:0:0/88 | 2001:db8::62:d9ff:ffff:ffff |
| 219 | 2001:db8::62:da00:0:0/88 | 2001:db8::62:daff:ffff:ffff |
| 220 | 2001:db8::62:db00:0:0/88 | 2001:db8::62:dbff:ffff:ffff |
| 221 | 2001:db8::62:dc00:0:0/88 | 2001:db8::62:dcff:ffff:ffff |
| 222 | 2001:db8::62:dd00:0:0/88 | 2001:db8::62:ddff:ffff:ffff |
| 223 | 2001:db8::62:de00:0:0/88 | 2001:db8::62:deff:ffff:ffff |
| 224 | 2001:db8::62:df00:0:0/88 | 2001:db8::62:dfff:ffff:ffff |
| 225 | 2001:db8::62:e000:0:0/88 | 2001:db8::62:e0ff:ffff:ffff |
| 226 | 2001:db8::62:e100:0:0/88 | 2001:db8::62:e1ff:ffff:ffff |
| 227 | 2001:db8::62:e200:0:0/88 | 2001:db8::62:e2ff:ffff:ffff |
| 228 | 2001:db8::62:e300:0:0/88 | 2001:db8::62:e3ff:ffff:ffff |
| 229 | 2001:db8::62:e400:0:0/88 | 2001:db8::62:e4ff:ffff:ffff |
| 230 | 2001:db8::62:e500:0:0/88 | 2001:db8::62:e5ff:ffff:ffff |
| 231 | 2001:db8::62:e600:0:0/88 | 2001:db8::62:e6ff:ffff:ffff |
| 232 | 2001:db8::62:e700:0:0/88 | 2001:db8::62:e7ff:ffff:ffff |
| 233 | 2001:db8::62:e800:0:0/88 | 2001:db8::62:e8ff:ffff:ffff |
| 234 | 2001:db8::62:e900:0:0/88 | 2001:db8::62:e9ff:ffff:ffff |
| 235 | 2001:db8::62:ea00:0:0/88 | 2001:db8::62:eaff:ffff:ffff |
| 236 | 2001:db8::62:eb00:0:0/88 | 2001:db8::62:ebff:ffff:ffff |
| 237 | 2001:db8::62:ec00:0:0/88 | 2001:db8::62:ecff:ffff:ffff |
| 238 | 2001:db8::62:ed00:0:0/88 | 2001:db8::62:edff:ffff:ffff |
| 239 | 2001:db8::62:ee00:0:0/88 | 2001:db8::62:eeff:ffff:ffff |
| 240 | 2001:db8::62:ef00:0:0/88 | 2001:db8::62:efff:ffff:ffff |
| 241 | 2001:db8::62:f000:0:0/88 | 2001:db8::62:f0ff:ffff:ffff |
| 242 | 2001:db8::62:f100:0:0/88 | 2001:db8::62:f1ff:ffff:ffff |
| 243 | 2001:db8::62:f200:0:0/88 | 2001:db8::62:f2ff:ffff:ffff |
| 244 | 2001:db8::62:f300:0:0/88 | 2001:db8::62:f3ff:ffff:ffff |
| 245 | 2001:db8::62:f400:0:0/88 | 2001:db8::62:f4ff:ffff:ffff |
| 246 | 2001:db8::62:f500:0:0/88 | 2001:db8::62:f5ff:ffff:ffff |
| 247 | 2001:db8::62:f600:0:0/88 | 2001:db8::62:f6ff:ffff:ffff |
| 248 | 2001:db8::62:f700:0:0/88 | 2001:db8::62:f7ff:ffff:ffff |
| 249 | 2001:db8::62:f800:0:0/88 | 2001:db8::62:f8ff:ffff:ffff |
| 250 | 2001:db8::62:f900:0:0/88 | 2001:db8::62:f9ff:ffff:ffff |
| 251 | 2001:db8::62:fa00:0:0/88 | 2001:db8::62:faff:ffff:ffff |
| 252 | 2001:db8::62:fb00:0:0/88 | 2001:db8::62:fbff:ffff:ffff |
| 253 | 2001:db8::62:fc00:0:0/88 | 2001:db8::62:fcff:ffff:ffff |
| 254 | 2001:db8::62:fd00:0:0/88 | 2001:db8::62:fdff:ffff:ffff |
| 255 | 2001:db8::62:fe00:0:0/88 | 2001:db8::62:feff:ffff:ffff |
| 256 | 2001:db8::62:ff00:0:0/88 | 2001:db8::62:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |